<?php

namespace Farfetch;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetSonId' => '\\Farfetch\\StructType\\GetSonId',
            'GetSonIdResponse' => '\\Farfetch\\StructType\\GetSonIdResponse',
            'UpdateBoArtigosRefFar' => '\\Farfetch\\StructType\\UpdateBoArtigosRefFar',
            'UpdateBoArtigosRefFarResponse' => '\\Farfetch\\StructType\\UpdateBoArtigosRefFarResponse',
            'SaveGeoBrandPrices' => '\\Farfetch\\StructType\\SaveGeoBrandPrices',
            'ArrayOfGeoBrandPriceInput' => '\\Farfetch\\ArrayType\\ArrayOfGeoBrandPriceInput',
            'GeoBrandPriceInput' => '\\Farfetch\\StructType\\GeoBrandPriceInput',
            'GeoBrandPriceSaveResult' => '\\Farfetch\\StructType\\GeoBrandPriceSaveResult',
            'ArrayOfString' => '\\Farfetch\\ArrayType\\ArrayOfString',
            'ArrayOfGeoBrandPriceSaveResult' => '\\Farfetch\\ArrayType\\ArrayOfGeoBrandPriceSaveResult',
            'SaveGeoBrandPricesResponse' => '\\Farfetch\\StructType\\SaveGeoBrandPricesResponse',
            'GetBrandRegions' => '\\Farfetch\\StructType\\GetBrandRegions',
            'GeoRegion' => '\\Farfetch\\StructType\\GeoRegion',
            'ArrayOfGeoRegion' => '\\Farfetch\\ArrayType\\ArrayOfGeoRegion',
            'GetBrandRegionsResponse' => '\\Farfetch\\StructType\\GetBrandRegionsResponse',
            'AssociateToChildProduct' => '\\Farfetch\\StructType\\AssociateToChildProduct',
            'ArrayOfSimpleBoutiqueBarcode' => '\\Farfetch\\ArrayType\\ArrayOfSimpleBoutiqueBarcode',
            'SimpleBoutiqueBarcode' => '\\Farfetch\\StructType\\SimpleBoutiqueBarcode',
            'AssociationResult' => '\\Farfetch\\StructType\\AssociationResult',
            'ArrayOfBoutiqueBarcodeResult' => '\\Farfetch\\ArrayType\\ArrayOfBoutiqueBarcodeResult',
            'BoutiqueBarcodeResult' => '\\Farfetch\\StructType\\BoutiqueBarcodeResult',
            'AssociateToChildProductResponse' => '\\Farfetch\\StructType\\AssociateToChildProductResponse',
            'GetAllStock' => '\\Farfetch\\StructType\\GetAllStock',
            'GetAllStockResponse' => '\\Farfetch\\StructType\\GetAllStockResponse',
            'GetAllStockResult' => '\\Farfetch\\StructType\\GetAllStockResult',
            'GetAllStockWithStoreBarcodes' => '\\Farfetch\\StructType\\GetAllStockWithStoreBarcodes',
            'GetAllStockWithStoreBarcodesResponse' => '\\Farfetch\\StructType\\GetAllStockWithStoreBarcodesResponse',
            'GetAllStockWithStoreBarcodesResult' => '\\Farfetch\\StructType\\GetAllStockWithStoreBarcodesResult',
            'GetBoxName' => '\\Farfetch\\StructType\\GetBoxName',
            'GetBoxNameResponse' => '\\Farfetch\\StructType\\GetBoxNameResponse',
            'GetBoxes' => '\\Farfetch\\StructType\\GetBoxes',
            'GetBoxesResponse' => '\\Farfetch\\StructType\\GetBoxesResponse',
            'GetBoxesResult' => '\\Farfetch\\StructType\\GetBoxesResult',
            'GetDefaultCountries' => '\\Farfetch\\StructType\\GetDefaultCountries',
            'GetDefaultCountriesResponse' => '\\Farfetch\\StructType\\GetDefaultCountriesResponse',
            'GetDefaultCountriesResult' => '\\Farfetch\\StructType\\GetDefaultCountriesResult',
            'GetColourTypes' => '\\Farfetch\\StructType\\GetColourTypes',
            'GetColourTypesResponse' => '\\Farfetch\\StructType\\GetColourTypesResponse',
            'GetColourTypesResult' => '\\Farfetch\\StructType\\GetColourTypesResult',
            'GetComposition' => '\\Farfetch\\StructType\\GetComposition',
            'GetCompositionResponse' => '\\Farfetch\\StructType\\GetCompositionResponse',
            'GetCompositionResult' => '\\Farfetch\\StructType\\GetCompositionResult',
            'GetMainView' => '\\Farfetch\\StructType\\GetMainView',
            'GetMainViewResponse' => '\\Farfetch\\StructType\\GetMainViewResponse',
            'GetPropValueNameById' => '\\Farfetch\\StructType\\GetPropValueNameById',
            'GetPropValueNameByIdResponse' => '\\Farfetch\\StructType\\GetPropValueNameByIdResponse',
            'GetPropValueIdByName' => '\\Farfetch\\StructType\\GetPropValueIdByName',
            'GetPropValueIdByNameResponse' => '\\Farfetch\\StructType\\GetPropValueIdByNameResponse',
            'GetProperty' => '\\Farfetch\\StructType\\GetProperty',
            'GetPropertyResponse' => '\\Farfetch\\StructType\\GetPropertyResponse',
            'GetStock' => '\\Farfetch\\StructType\\GetStock',
            'GetStockResponse' => '\\Farfetch\\StructType\\GetStockResponse',
            'GetStoreItems' => '\\Farfetch\\StructType\\GetStoreItems',
            'GetStoreItemsResponse' => '\\Farfetch\\StructType\\GetStoreItemsResponse',
            'GetStoreItemsResult' => '\\Farfetch\\StructType\\GetStoreItemsResult',
            'GetStorePrice' => '\\Farfetch\\StructType\\GetStorePrice',
            'GetStorePriceResponse' => '\\Farfetch\\StructType\\GetStorePriceResponse',
            'GetWebsiteDescription' => '\\Farfetch\\StructType\\GetWebsiteDescription',
            'GetWebsiteDescriptionResponse' => '\\Farfetch\\StructType\\GetWebsiteDescriptionResponse',
            'existSKU' => '\\Farfetch\\StructType\\ExistSKU',
            'existSKUResponse' => '\\Farfetch\\StructType\\ExistSKUResponse',
            'isBrandVisible' => '\\Farfetch\\StructType\\IsBrandVisible',
            'isBrandVisibleResponse' => '\\Farfetch\\StructType\\IsBrandVisibleResponse',
            'GetSKUandDesingerID' => '\\Farfetch\\StructType\\GetSKUandDesingerID',
            'GetSKUandDesingerIDResponse' => '\\Farfetch\\StructType\\GetSKUandDesingerIDResponse',
            'GetFFItemId' => '\\Farfetch\\StructType\\GetFFItemId',
            'GetFFItemIdResponse' => '\\Farfetch\\StructType\\GetFFItemIdResponse',
            'GetFFItemUrl' => '\\Farfetch\\StructType\\GetFFItemUrl',
            'GetFFItemUrlResponse' => '\\Farfetch\\StructType\\GetFFItemUrlResponse',
            'GetMaterialCategory' => '\\Farfetch\\StructType\\GetMaterialCategory',
            'GetMaterialCategoryResponse' => '\\Farfetch\\StructType\\GetMaterialCategoryResponse',
            'GetMaterialCategoryResult' => '\\Farfetch\\StructType\\GetMaterialCategoryResult',
            'GetMaterial' => '\\Farfetch\\StructType\\GetMaterial',
            'GetMaterialResponse' => '\\Farfetch\\StructType\\GetMaterialResponse',
            'GetMaterialResult' => '\\Farfetch\\StructType\\GetMaterialResult',
            'GetSlots' => '\\Farfetch\\StructType\\GetSlots',
            'GetSlotsResponse' => '\\Farfetch\\StructType\\GetSlotsResponse',
            'GetSlotsResult' => '\\Farfetch\\StructType\\GetSlotsResult',
            'GetOpenSlots' => '\\Farfetch\\StructType\\GetOpenSlots',
            'GetOpenSlotsResponse' => '\\Farfetch\\StructType\\GetOpenSlotsResponse',
            'GetOpenSlotsResult' => '\\Farfetch\\StructType\\GetOpenSlotsResult',
            'GetDesignerIdsForSeasonBrand' => '\\Farfetch\\StructType\\GetDesignerIdsForSeasonBrand',
            'GetDesignerIdsForSeasonBrandResponse' => '\\Farfetch\\StructType\\GetDesignerIdsForSeasonBrandResponse',
            'InsertSizesQuantity' => '\\Farfetch\\StructType\\InsertSizesQuantity',
            'InsertSizesQuantityResponse' => '\\Farfetch\\StructType\\InsertSizesQuantityResponse',
            'GetAllPictures' => '\\Farfetch\\StructType\\GetAllPictures',
            'GetAllPicturesResponse' => '\\Farfetch\\StructType\\GetAllPicturesResponse',
            'GetAllPicturesResult' => '\\Farfetch\\StructType\\GetAllPicturesResult',
            'GetAllPicturesByBarcode' => '\\Farfetch\\StructType\\GetAllPicturesByBarcode',
            'GetAllPicturesByBarcodeResponse' => '\\Farfetch\\StructType\\GetAllPicturesByBarcodeResponse',
            'GetAllPicturesByBarcodeResult' => '\\Farfetch\\StructType\\GetAllPicturesByBarcodeResult',
            'InsertStoreBarcode' => '\\Farfetch\\StructType\\InsertStoreBarcode',
            'InsertStoreBarcodeResponse' => '\\Farfetch\\StructType\\InsertStoreBarcodeResponse',
            'ProductPriceUpdate' => '\\Farfetch\\StructType\\ProductPriceUpdate',
            'ProductPriceUpdateResponse' => '\\Farfetch\\StructType\\ProductPriceUpdateResponse',
            'AddDesignerIdToBrandSeasonList' => '\\Farfetch\\StructType\\AddDesignerIdToBrandSeasonList',
            'AddDesignerIdToBrandSeasonListResponse' => '\\Farfetch\\StructType\\AddDesignerIdToBrandSeasonListResponse',
            'MappDuplicates' => '\\Farfetch\\StructType\\MappDuplicates',
            'MappDuplicatesResponse' => '\\Farfetch\\StructType\\MappDuplicatesResponse',
            'GetTransportationProperties' => '\\Farfetch\\StructType\\GetTransportationProperties',
            'TransportationProperty' => '\\Farfetch\\StructType\\TransportationProperty',
            'ArrayOfTransportationProperty' => '\\Farfetch\\ArrayType\\ArrayOfTransportationProperty',
            'GetTransportationPropertiesResponse' => '\\Farfetch\\StructType\\GetTransportationPropertiesResponse',
            'GetProductTransportationProperties' => '\\Farfetch\\StructType\\GetProductTransportationProperties',
            'TransportationProduct' => '\\Farfetch\\StructType\\TransportationProduct',
            'GetProductTransportationPropertiesResponse' => '\\Farfetch\\StructType\\GetProductTransportationPropertiesResponse',
        );
    }
}
